<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package renix
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<!-- Bootstrap CSS min -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
	<?php wp_head(); ?>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	
	<header id="masthead" class="site-header" role="banner">
		<nav class="navbar box-shadow fixed-top"> <!-- fixed-top -->
			<div class="container-fluid max-nav-width">
				<a href="/"><img src="<?= get_template_directory_uri(); ?>/images/~global/header-logo.svg" alt="Renix Logo - return to home"/></a>
				<div id="bar-container">
					<button id="btn">
						<span></span>
						<span></span>
						<span></span>
						<span></span>
					</button>
				</div>
				<ul class="nav-container d-flex flex-column justify-content-evenly mb-0 px-4">
					<!-- d-flex flex-column flex-md-row align-items-center -->
					<div class="nav-sub-container" role="group">
						<li class="my-3">
							<a class="raleway-font-family" href="<?= get_home_url(); ?>/about" alt="Go to about page" aria-label="about page">About<span class="screen-reader-text">click to visit about page</span></a>
						</li>
						<li class="my-3">
							<a class="raleway-font-family" href="<?= get_home_url(); ?>/technology" alt="Go to Technology page" aria-label="Technology page">Technology<span class="screen-reader-text">click to visit Technology page</span></a>
						</li>
						<li class="my-3">
							<a class="raleway-font-family" href="<?= get_home_url(); ?>/impact" alt="Go to Impact page" aria-label="Impact page">Impact<span class="screen-reader-text">click to visit Impact page</span></a>
						</li>
						<li class="my-3">
							<a class="raleway-font-family" href="<?= get_home_url(); ?>/news" alt="Go to News page" aria-label="News page">News<span class="screen-reader-text">click to visit News page</span></a>
						</li>
						<li class="my-3">
							<a class="raleway-font-family" href="<?= get_home_url(); ?>/contact" alt="Go to Contact page" aria-label="Contact page">Contact<span class="screen-reader-text">click to visit Contact page</span></a>
						</li>
					</div>
					
					<div class="nav-footer position-relative" id="nav-mobile-footer">
						<!--<div class="join-team text-center">-->
						<!--	<a class="raleway-font-family" href="#" alt="Go to Careers page" aria-label="Careers page">Join Our Team<span class="screen-reader-text">click to visit careers page</span></a>-->
						<!--</div>-->
						<div class="add-container d-flex flex-column">
							<a class="raleway-font-family text-center" href="/" target="_blank">
								316 Rectory Street <br/>London, ON N5W 3V9
							</a>
							<a class="raleway-font-family text-center" href="tel:519-850-5036">
								519-850-5036
							</a>
							<a class="raleway-font-family text-center" href="mailto:info@renix.ca">
								info@renix.ca
							</a>
						</div>
					</div>
				</ul>
			</div>
		</nav>
	</header>
	<!-- Main Start -->
	<main>

