<?php 
    /**
     * Template Name: Technology Page Template
    */
    get_header();
?>
    <!-- Small Banner Template Part -->
    <?= get_template_part('template-parts/small','banner'); ?>
    
    <section class="about-section-text text-center d-flex justify-content-center pb-5">
        <p class="raleway-font-family dark-gray px-22 font-26" style="font-weight: 300;"><?= get_field('centered_para'); ?></p>
    </section>

    <!-- RenixUIX(TM) Container -->
    <section class="renix-uix-container container-fluid max-width px-22">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <!--<sup>TM</sup>-->
                <h2 class="small-heading raleway-font-family dark-blue mb-0"><?= get_field('uix_title'); ?></h2>
                <p class="cabin-font-family dark-gray key-msg-font" style="font-weight: 600;">Steady-State Ion Exchange Platform</p>
                <p class="cabin-font-family dark-gray nav-font"><?= get_field('uix_about'); ?></p>
                <div class="uix-about d-none d-lg-block">
                    <?= get_field('uix_about_with_title'); ?>
                </div>
            </div>
            <div class="col-lg-6 d-flex flex-column flex-lg-row align-items-center justify-content-center justify-content-lg-end position-relative image-container-tech">
                <img class="curved-image-border" src="<?= get_field('uix_image')['url']; ?>" alt="<?= get_field('uix_image')['alt']; ?>" title="<?= get_field('uix_image')['alt']; ?>">
                <div class="uix-about d-lg-none mt-4">
                    <?= get_field('uix_about_with_title'); ?>
                </div>
            </div>
        </div>
    </section>

    <!-- Industry Applicatons -->
    <?php if(have_rows('repeater_one')): ?>
    <section class="industry-application">
        <div class="container-fluid max-width px-22">
            <h3 class="small-heading raleway-font-family dark-blue mb-5 pt-5 pt-md-0"><?= get_field('indu_title'); ?></h3>
            <div class="row">
                <?php 
                        while(have_rows('repeater_one')): the_row();
                ?>
                            <div class="col-md-6 col-xl-4 mb-5 d-flex justify-content-center justify-content-xl-start ia-col-container">
                                <div class="ia-box-container position-relative w-100">
                                    <div class="ia-title">
                                        <p class="cabin-font-family white nav-font text-center mb-0"><?= get_sub_field('title_rep_one'); ?></p>
                                    </div>
                                    <div class="ia-about py-5">
                                        <?= get_sub_field('about_rep_one'); ?>
                                    </div>
                                    <div class="greenborder-box position-absolute"></div>
                                </div> 
                            </div>
                <?php 
                        endwhile;
                ?> 
            </div>
        </div>
    </section>
    <?php endif; ?>

    <!-- Proprietary Process Container -->
    <!--<section class="proprietary-container d-none" style="margin-top: 150px;">-->
    <!--    <div class="container-fluid max-width px-22">-->
    <!--        <div class="row align-items-center">-->
    <!--            <div class="col-lg-6 d-flex flex-column flex-lg-row align-items-center justify-content-center justify-content-lg-start">-->
    <!--                <div class="uix-about d-lg-none mt-4">-->
    <!--                    <h4 class="small-heading raleway-font-family dark-blue mb-4"><?= get_field('propri_title'); ?></h4>-->
    <!--                    <p class="cabin-font-family dark-gray nav-font"><?= get_field('propri_about'); ?></p>-->
    <!--                </div>-->
    <!--                <div class="position-relative image-container-tech w-100">-->
    <!--                    <img class="curved-image-border" src="<?= get_field('propri_image')['url']; ?>" alt="<?= get_field('propri_image')['alt']; ?>" title="<?= get_field('propri_image')['alt']; ?>">-->
    <!--                </div>-->
    <!--            </div>-->
    <!--            <div class="col-lg-6">-->
    <!--                <div class="uix-about d-none d-lg-block">-->
    <!--                    <h3 class="small-heading raleway-font-family dark-blue mb-4"><?= get_field('propri_title'); ?></h3>-->
    <!--                    <p class="cabin-font-family dark-gray nav-font"><?= get_field('propri_about'); ?></p>-->
    <!--                </div>-->
    <!--                <p class="cabin-font-family dark-gray nav-font mt-4 mt-lg-0"><?= get_field('propri_sec_about'); ?></p>-->
    <!--            </div>-->
    <!--        </div>-->
    <!--    </div>-->
    <!--</section>-->


    <!-- Another Repeater Section - Same Box Styles -->
    <?php if(have_rows('repeater_two')): ?>
    <section class="industry-application mt-5 py-5 d-none">
        <div class="container-fluid max-width px-22">
            <h4 class="small-heading raleway-font-family dark-blue mb-5 pt-5 pt-md-0"><?= get_field('square_title'); ?></h4>
            <div class="row">
                <?php 
                        while(have_rows('repeater_two')): the_row();
                ?>
                            <div class="col-md-6 col-xl-4 mb-5 d-flex justify-content-center justify-content-xl-start ia-col-container">
                                <div class="ia-box-container position-relative w-100">
                                    <div class="ia-title">
                                        <p class="cabin-font-family white nav-font text-center mb-0"><?= get_sub_field('title_rep_two'); ?></p>
                                    </div>
                                    <div class="ia-about py-5">
                                        <?= get_sub_field('about_rep_two'); ?>
                                    </div>
                                    <div class="greenborder-box position-absolute"></div>
                                </div> 
                            </div>
                <?php 
                        endwhile;
                ?> 
            </div>
        </div>
    </section>
    <?php endif; ?>

    <!--  Client Outcomes -->
    <section class="client-outcome-container">
        <div class="container-fluid d-flex flex-column align-items-center px-22">
            <h5 class="small-heading raleway-font-family dark-blue mb-4 mb-lg-5"><?= get_field('outcome_title'); ?></h5>
            <p class="cabin-font-family dark-gray nav-font text-center"><?= get_field('outcome_about'); ?></p>
        </div>
    </section>

    <!-- Droplets Sections -->
    <?php if(have_rows('image_section')): ?>
    <section class="droplets-container position-relative">
        <div class="contaier-fluid max-width-1056 px-22">
            <div class="row justify-content-center">

                <?php 
                        while(have_rows('image_section')): the_row();
                ?>
                        <div class="col-md-6 col-lg-4 d-flex flex-column align-items-center z-index-99">
                            <div class="ass-image-container">
                                <img src="<?= get_sub_field('tech_image_one')['url'];?>" alt="<?= get_sub_field('tech_image_one')['alt'];?>">
                            </div>
                            <p class="cabin-font-family text-md-center font-26 mb-0 mt-4 mb-4 mb-lg-2 text-center"><?= get_sub_field('tech_about_one'); ?></p>
                            <ul>
                                <?php 
                                    if(have_rows('lists')):
                                        while(have_rows('lists')): the_row();
                                ?>
                                    <li class="text-center cabin-font-family dark-gray nav-font mb-2"><?= get_sub_field('list_item'); ?></li>
                                <?php 
                                        endwhile;
                                    endif;
                                ?>
                            </ul>
                        </div>
                <?php 
                        endwhile;
                ?>
            </div>
        </div>
    </section>
    <?php endif; ?>
<?php 
    get_footer();
?>